Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultDerogationImportType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.DerogationImportKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultDerogationImportType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultDerogationImportType extends DerogationImportKeyType implements Serializable

Java class for ConsultDerogationImportType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultDerogationImportType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DerogationImportKeyType">
           <sequence>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultDerogationImportType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getNote()`
  Available information (identification or description) of the imported drug.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setNote(ConsultTextType value)`
  Sets the value of the note property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.DerogationImportKeyType

  `getSequenceNr, setSequenceNr`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultDerogationImportType

    public ConsultDerogationImportType()

- ## Method Details

  - ### getNote

    public ConsultTextType getNote()
    Available information (identification or description) of the imported drug. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setNote

    public void setNote(ConsultTextType value)
    Sets the value of the note property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getNote()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`